
From: Martin Waitz <tali@admingilde.org>

Add kfifo to kernel-api docs

Signed-off-by: Martin Waitz <tali@admingilde.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/DocBook/kernel-api.tmpl |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN Documentation/DocBook/kernel-api.tmpl~docbook-add-kfifo-to-kernel-api-docs Documentation/DocBook/kernel-api.tmpl
--- 25/Documentation/DocBook/kernel-api.tmpl~docbook-add-kfifo-to-kernel-api-docs	2005-03-11 12:32:29.000000000 -0800
+++ 25-akpm/Documentation/DocBook/kernel-api.tmpl	2005-03-11 12:32:29.000000000 -0800
@@ -100,6 +100,14 @@ KAO -->
      </sect1>
   </chapter>
 
+  <chapter id="kfifo">
+     <title>FIFO Buffer</title>
+     <sect1><title>kfifo interface</title>
+!Iinclude/linux/kfifo.h
+!Ekernel/kfifo.c
+     </sect1>
+  </chapter>
+
   <chapter id="proc">
      <title>The proc filesystem</title>
  
_
